# Retrieve a list of all finished export jobs

Retrieves a list of all finished export jobs of an audience export.
In the response, in every object in the array, the `executionRef` key contains the export job reference. You use the export job reference to retrieve the output URLs for that specific export job.

Endpoint: GET /v2/audienceExports/definitions/{audienceExportRef}/reports
Version: v2
Security: BearerToken

## Security:

  - `BearerToken` (unknown)
    http bearer JWT

## Path parameters:

  - `audienceExportRef` (string, required)

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json):

  - `clientKey` (string)
    Your organization's unique and public identifier.
    Example: pqsPERS3lw12v5a9rrHPW1c4hET73GxQ

  - `executionRef` (string)
    The export job reference.
Use this as the `jobExecutionRef` path parameter when you retrieve output URLs for a specific export job.
    Example: fe351e84-3504-4668-8e5f-574d320b9679

  - `definitionRef` (string)
    The UUID reference of the audience export.
    Example: d6c5335a-4028-49c0-8d55-a534e89127c9

  - `friendlyId` (string)
    The unique ID of the audience export.

Only lowercase alphanumeric characters and underscores are allowed.
    Example: daily_loyalty_members

  - `executionType` (string)
    Whether the audience export runs instantly or on a schedule.
    Enum: "INSTANT_RUN", "SCHEDULED"

  - `status` (string)
    The status of the export job.
    Enum: "PENDING_GUEST_CONTEXT", "PENDING_SEGMENTATION", "PENDING_EMR_SUBMIT", "PENDING_EMR_JOB", "SUCCESS", "FAILED", "ALERT"

  - `definitionType` (string)
    Whether the audience export is a full or a delta export.
    Enum: "DELTA", "FULL_SYNC"

  - `segmentExecutionType` (string)
    Whether the segment in the audience export is scheduled or live.
    Enum: "ON_DEMAND", "LIVE"

  - `total` (integer)
    The number of guests in the segment selected for the export.
    Example: 101308

  - `filterMatchedGuests` (integer)
    The number of guests matched by the filter. These guests are included in the export. If no filter was used, the value is 0.
    Example: 97466

  - `filterNotMatchedGuests` (integer)
    The number of guests not matched by the filter. These guests are excluded from the export. If no filter was used, the value is 0.
    Example: 3842

  - `filterFailures` (integer)
    The number of guests that filtering failed for. If no filter was used, the value is 0.
    Example: 16

  - `successes` (integer)
    The number of guests the export succeeded for.
    Example: 97466

  - `failures` (integer)
    The number of guests the export failed for.
    Example: 0

  - `programmableErrors` (array)
    A list of errors related to the JavaScript in the export and the attribute values in the output structure.

  - `programmableErrors.description` (string)
    Error description.
    Example: TypeError: Cannot read property 'length' of undefined

  - `programmableErrors.count` (integer)
    The number of times this error occurred.
    Example: 16

  - `filterErrors` (array)
    A list of errors related to conditions, for example, errors with the JavaScript in a condition.

  - `errorLogs` (array)
    A list of all errors.
    Example: [TypeError: Cannot read property 'length' of undefined]

  - `datasetDate` (string)
    The date the export job started running.
    Example: 2024/10/16

  - `startTime` (string)
    The UTC time the export job started running.
    Example: 2024-10-16T06:00:01.122Z

  - `endTime` (string)
    The UTC time the export job finished running.
    Example: 2024-10-16T06:40:45.794Z

  - `successAdd` (integer)
    Guests added to the segment after the export job ran. This attribute is only present in delta exports.
    Example: 0

  - `successRemove` (integer)
    Guests removed from the segment after the export job ran. This attribute is only present in delta exports.
    Example: 0

## Response 401:

  - `401` (unknown)
    Unauthorized request

## Response 401 fields (application/json):

  - `status` (string)
    The HTTP request status.
    Example: UNAUTHORIZED

  - `code` (integer)
    The HTTP response status code.
    Example: 401

  - `message` (string)
    Error description.
    Example: Authentication credentials are required to access the resource. All requests must be authenticated.

  - `moreInfoUrl` (string)
    URL to get more information about the error.
    Example: Contact Sitecore support here: https://support.sitecore.com

